/******************************************************************
*  源程序名：ImpTask6_3_1.cpp                  　　　　　          *
*  功能：用自定义函数和全局变量统计字母、数字、空格和其他字符个数。*
*******************************************************************/
#include <iostream.h>
#define MAX 11 //最大字符串长
int letter, digit,space, others;
void count(char str[]);
void main()
{
	char string[MAX];
	int i=0;
	cout<<"请输入一个字符串(长度为"<<(MAX-1)<<"):";
	cin.getline (string,MAX,'\n');//接收带空格的字符串
	count(string);//调用统计函数
 	cout<<"字母字符个数:"<<letter<<endl;
	cout<<"数字字符个数:"<<digit<<endl;
	cout<<"空格字符个数:"<<space<<endl;
	cout<<"其他字符个数:"<<others<<endl;
}
void count(char str[])
{
	int i=0;
	char c;
	while ((c=str[i])!='\0')//用c代替str[i]，书写方便；\0为字符串结束标志
	{
		if (c>='a' && c<='z' || c>='A' && c<='Z')//对字符进行判断
			letter++;
		else if (c>='0' && c<='9')
			digit++;
		else if (c==' ')
			space++;
		else
			others++;
		i++;//判断下一字符
	}
	return ;
}